<?php
	
	lt_include( PLOG_CLASS_PATH."class/view/admin/adminplugintemplatedview.class.php" );

	/**
	 * implements the main view of the feed reader plugin
	 */
	class AdminTechnoratiPluginSettingsView extends AdminPluginTemplatedView
	{

		function AdminTechnoratiPluginSettingsView( $blogInfo )
		{
			$this->AdminPluginTemplatedView( $blogInfo, "technorati", "pluginsettings" );
		}
		
		function render()
		{
			// load some configuration settings
			$blogSettings = $this->_blogInfo->getSettings();
			$pluginEnabled = $blogSettings->getValue( "plugin_technorati_enabled" );
			$pluginKey = $blogSettings->getValue( "plugin_technorati_key" );
			
       		
			// create a view and export the settings to the template
			$this->setValue( "pluginEnabled", $pluginEnabled );
			$this->setValue( "pluginKey", $pluginKey );
			
			parent::render();
		}
	}
?>